package cn.ibizlab.core.analysis.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.analysis.domain.DAReport;
/**
 * 关系型数据实体[DAReport] 查询条件对象
 */
@Slf4j
@Data
public class DAReportSearchContext extends QueryWrapperContext<DAReport> {

	private String n_reportname_like;//[名称]
	public void setN_reportname_like(String n_reportname_like) {
        this.n_reportname_like = n_reportname_like;
        if(!ObjectUtils.isEmpty(this.n_reportname_like)){
            this.getSearchCond().like("reportname", n_reportname_like);
        }
    }
	private String n_systemid_eq;//[系统标识]
	public void setN_systemid_eq(String n_systemid_eq) {
        this.n_systemid_eq = n_systemid_eq;
        if(!ObjectUtils.isEmpty(this.n_systemid_eq)){
            this.getSearchCond().eq("systemid", n_systemid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
    @Override
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("reportname", query)
            );
		 }
	}
}



